<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
DDLRecord record = (DDLRecord)request.getAttribute(DDLWebKeys.DYNAMIC_DATA_LISTS_RECORD);

DateSearchEntry dateSearchEntry = new DateSearchEntry();

for (DDLRecordVersion recordVersion : DDLRecordVersionServiceUtil.getRecordVersions(record.getRecordId())) {
	dateSearchEntry.setDate(recordVersion.getCreateDate());

	request.setAttribute(DDLWebKeys.DYNAMIC_DATA_LISTS_RECORD_VERSION, recordVersion);
%>

	<ul class="list-group sidebar-list-group">
		<li class="list-group-item list-group-item-flex">
			<clay:content-col
				expand="<%= true %>"
			>
				<h4 class="list-group-title">
					<liferay-ui:message arguments="<%= recordVersion.getVersion() %>" key="version-x" />
				</h4>

				<p class="list-group-subtitle">
					<liferay-ui:message key="author" />: <%= HtmlUtil.escape(recordVersion.getUserName()) %>
				</p>

				<p class="list-group-subtext">
					<liferay-ui:message key="create-date" />: <%= dateSearchEntry.getName(request) %>
				</p>
			</clay:content-col>

			<clay:content-col>
				<ul class="autofit-padded-no-gutters autofit-row">
					<li class="autofit-col">
						<liferay-util:include page="/record_version_action.jsp" servletContext="<%= application %>" />
					</li>
				</ul>
			</clay:content-col>
		</li>
	</ul>

<%
}
%>